package com.flyfish.framework.r2dbc.query.fill;

import com.flyfish.framework.domain.base.Domain;
import reactor.core.publisher.Flux;
import reactor.core.publisher.Mono;

/**
 * r2dbc引用填充
 *
 * @author wangyu
 */
public interface R2dbcReferenceFiller {

    <T extends Domain> Flux<T> fill(Flux<T> beans);

    <T extends Domain> Mono<T> fill(Mono<T> bean);
}
